<?php namespace Place_interface\Api;
use Dever;
use Place;
use Place_interface\Lib\Core;
use Place_act\Lib\Core as Act;
class Review extends Core
{
    protected $login = true;
    protected $entry = true;

    public function __construct()
    {
        parent::__construct();
        $this->act = new Act('review');
    }

    public function up()
    {
        $data['content'] = Dever::input('content', 'is_string', '内容');
        return $this->act->up($data, '请不要发布相同内容');
    }

    public function cancel()
    {
        $data['id'] = Dever::input('review_id', 'is_numeric', '评论');
        return $this->act->del($data);
    }

    public function getUserList()
    {
        return $this->act->getUserList();
    }
}